VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
UI XML Attribute Definitions

# View Classes and their attributes

- CView
- CViewContainer
- CControl
- COnOffButton
- CParamDisplay
- CTextLabel
- CTextEdit
- CTextButton
- CSegmentButton
- CKnob
- CVerticalSwitch
- CHorizontalSwitch
- CRockerSwitch
- CMovieBitmap
- CKickButton
- CSlider
- CVuMeter
- COptionMenu
- UIViewSwitchContainer

# CView

Declaration:

    <view class="CView" />

Attributes:

- origin [Point]
- size [Point]
- transparent [true/false]
- bitmap [bitmap name]
- autosize [combination of left, top, right, bottom, row, or column see VSTGUI::CViewAutosizing]
- tooltip [tooltip text]

# CViewContainer

Declaration:

    <view class="CViewContainer" />

Inherites attributes from CView

Attributes:

- background-color [color]

# CControl

A CControl is an abstract class and can not be created directly

Inherites attributes from CView

Attributes:

- control-tag [tag name]
- default-value [float]
- min-value [float]
- max-value [float]
- wheel-inc-value [float]
- background-offset [Point]

# COnOffButton

Declaration:

    <view class="COnOffButton" />

Inherites attributes from CControl

# CParamDisplay

Declaration:

    <view class="CParamDisplay" />

Inherites attributes from CControl

Attributes:

- font [font name]
- font-color [color]
- back-color [color]
- frame-color [color]
- frame-width [float]
- round-rect-radius [float]
- shadow-color [color]
- font-antialias [true/false]
- style-3D-in [true/false]
- style-3D-out [true/false]
- style-no-frame [true/false]
- style-no-text [true/false]
- style-no-draw [true/false]
- style-round-rect [true/false]
- style-shadow-text [true/false]
- text-alignment [left/center/right]
- text-rotation [float]
- value-precision [integer]

# CTextLabel

Declaration:

    <view class="CTextLabel" />

Inherites attributes from CParamDisplay

Attributes:

- title [string]

# CTextEdit

Declaration:

    <view class="CTextEdit" />

Inherites attributes from CParamDisplay

Attributes:

- title [string]

# CKnob

Declaration:

    <view class="CKnob" />

Inherites attributes from CControl

Attributes:

- angle-start [float]
- angle-range [float]
- value-inset [int]
- zoom-factor [float]
- handle-shadow-color [color]
- handle-color [color]
- handle-bitmap [bitmap name]

# CAnimKnob

Declaration:

    <view class="CAnimKnob" />

Inherites attributes from CKnob

Attributes:

- height-of-one-image [int]

# CVerticalSwitch

Declaration:

    <view class="CVerticalSwitch" />

Inherites attributes from CControl

Attributes:

- height-of-one-image [int]

# CHorizontalSwitch

Declaration:

    <view class="CHorizontalSwitch" />

Inherites attributes from CControl

Attributes:

- height-of-one-image [int]

# CRockerSwitch

Declaration:

    <view class="CRockerSwitch" />

Inherites attributes from CControl

Attributes:

- height-of-one-image [int]

# CMovieBitmap

Declaration:

    <view class="CMovieBitmap" />

Inherites attributes from CControl

Attributes:

- height-of-one-image [int]

# CMovieButton

Declaration:

    <view class="CMovieButton" />

Inherites attributes from CControl

Attributes:

- height-of-one-image [int]

# CKickButton

Declaration:

    <view class="CKickButton" />

Inherites attributes from CControl

Attributes:

- height-of-one-image [int]

# CTextButton

Declaration:

    <view class="CTextButton" />

Inherits attributes from CControl

New style (named) gradients are supported by:

- gradient
- gradient-highlighted

Old style (parametric) gradients are supported by:

- gradient-start-color
- gradient-end-color
- gradient-start-color-hightlighted
- gradient-end-color-highlighted

When named gradients are used, the parametric gradient information is discarded.

Attributes:

- title [string]
- font [string]
- text-alignment [left/right/center]
- text-color [color string]
- text-color-highlighted [color string]
- frame-color [color string]
- frame-color-highlighted [color string]
- frame-width [float]
- round-radius [float]
- icon-text-margin [float]
- kick-style [true/false]
- icon [string]
- icon-highlighted [string]
- icon-position [left/right/center above text/center below text]
- gradient [string]
- gradient-highlighted [string]
- gradient-start-color [color string]
- graident-end-color [color string]
- gradient-start-color-hightlighted [color string]
- gradient-end-color-highlighted [color string]

# CSegmentButton

Declaration:

    <view class="CSegmentButton" />

Inherits attributes from CControl

note: a string array is a comma seperated string: "one,two,three".

Attributes:

- font [string]
- style [horizontal/vertical]
- text-alignment [left/right/center]
- text-color [color string]
- text-color-highlighted [color string]
- frame-color [color string]
- frame-color-highlighted [color string]
- frame-width [float]
- round-radius [float]
- icon-text-margin [float]
- gradient [string]
- gradient-highlighted [string]
- segment-names [string array]
- truncate-mode [head/tail/none]

# CSlider

Declaration:

    <view class="CSlider" />

Inherites attributes from CControl

Attributes:

- transparent-handle [true/false]
- free-click [true/false]
- handle-bitmap [bitmap name]
- handle-offset [Point]
- mode [touch/relative touch/free click]
- draw-frame [true/false]
- draw-back [true/false]
- draw-value [true/false]
- draw-value-inverted [true/false]
- draw-value-from-center [true/false]
- draw-back-color [color string]
- draw-value-color [color string]
- bitmap-offset [Point]
- zoom-factor [float]
- orientation [vertical/horizontal]
- reverse-orientation [true/false]

# COptionMenu

Declaration:

    <view class="COptionMenu" />

Inherites attributes from CParamDisplay

Attributes:

- menu-popup-style [true/false]
- menu-check-style [true/false]

# CVuMeter

Declaration:

    <view class="CVuMeter" />

Inherites attributes from CViewContainer

Attributes:

- off-bitmap [bitmap name]
- num-led [integer]
- orientation [vertical/horizontal]
- decrease-step-value [float]

# UIViewSwitchContainer

Declaration:

    <view class="UIViewSwitchContainer" />

- template-names [string array]
- template-switch-control [tag name]
- animation-style [fade/move/push]
- animation-time [integer]